<?php

namespace app\admin\validate\sys_manage;

use think\Validate;

class UserValidate extends Validate
{
    protected $rule = [
        'join_user_role_id'     => 'integer',
        'join_user_dept_id'     => 'integer',
        'user_status'           => 'require|in:ACTIVED,DISABLED,PENDING',
        'user_category'         => 'require|in:EMPLOY,OTHER',
        'user_name'             => 'require|chsDash',
        'user_login_name'       => 'require|alphaDash',
        'user_login_pass'       => 'require',
        'user_mobile'           => 'mobile'
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['join_user_role_id','join_user_dept_id','user_status','user_category','user_name','user_login_name','user_login_pass','user_login_bcrypt','user_mobile'],
        'update' => ['join_user_role_id','join_user_dept_id','user_status','user_category','user_name'],
        'update_status' => ['user_status'],
    ];
}