<?php

namespace app\admin\validate\life;

use think\Validate;

class CollegeTeachingValidate extends Validate
{
    protected $rule = [
        'teaching_id' => 'require|integer',
        'teaching_name' => 'require|chsDash',
        'teaching_time' => 'date',
        'teaching_courses_id' => 'require|integer',
        'teaching_price' => 'float',
        'teaching_status' => 'integer',
        'teaching_is_del' => 'integer',
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['teaching_name', 'teaching_courses_id', 'teaching_price', 'teaching_status'],
    ];
}